using UnityEngine;
using UnityEngine.Playables;

[System.Serializable]
public sealed class PlaySEPlayableAsset : PlayableAsset {
    [SerializeField]
    private string playSEFilename = default;

    public override Playable CreatePlayable(PlayableGraph graph, GameObject go){
        var behaviour = new PlaySEPlayableBehaviour();
        behaviour.PlaySEFilename = playSEFilename;
        return ScriptPlayable<PlaySEPlayableBehaviour>.Create(graph, behaviour);
    }
}
